## qtbase-opensource-src 5.15.8%2Bdfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.8+dfsg-7+rpi1) bookworm-staging; urgency=medium

  [changes introduced in 5.6.1+dfsg-2+rpi1] by Peter Michael Green]
  * Partially fix clean target.

  [changes introduced in 5.9.1+dfsg-9+rpi1 by Peter Michael Green]
  * Disable neon (-no-neon no longer seems to work, so edit configure.json instead)

 -- Raspbian forward porter <root@raspbian.org>  Sat, 13 May 2023 23:05:51 +0000

qtbase-opensource-src (5.15.8+dfsg-7) unstable; urgency=medium

  * Update a11y_root.diff. This time the code waits for Qt loop to process the
    check (Closes: #1033995, #1034160, #1034271).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 12 Apr 2023 20:24:34 -0300

qtbase-opensource-src (5.15.8+dfsg-6) unstable; urgency=medium

  * Use the new, fixed version of a11y_root.diff from Samuel Thibault
    (again closes: #1033995).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 11 Apr 2023 14:25:22 +0300

qtbase-opensource-src (5.15.8+dfsg-5) unstable; urgency=medium

  * Revert the last upload. Unfortunately, it caused regressions
    (closes: #1034160, #1034169, #1034191).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 10 Apr 2023 23:58:16 +0300

qtbase-opensource-src (5.15.8+dfsg-4) unstable; urgency=medium

  * Add a patch to fix accessibility on XCB when running as root
    (closes: #1033995).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Apr 2023 21:23:36 +0300

qtbase-opensource-src (5.15.8+dfsg-3) unstable; urgency=medium

  * Use ${DEB_HOST_GNU_TYPE} substitution in debian/qt5-qmake.install.
  * Add upstream patch to fix denial-of-service in Qt SQL ODBC plugin
    (CVE-2023-24607, closes: #1031872).
  * Update debian/libqt5gui5.symbols from s390x build log.
  * Amend image_deletion_order.diff from one more upstream commit.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 27 Feb 2023 11:28:53 +0300

qtbase-opensource-src (5.15.8+dfsg-2) unstable; urgency=medium

  * Update debian/libqt5gui5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 11:41:54 +0400

qtbase-opensource-src (5.15.8+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and rebase patches for the new release.
  * Bump ABI version to qtbase-abi-5-15-8.
  * Backport upstream patch to set geometry property in QXcbWindow after
    checking minimum size (closes: #1025997).
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 04 Jan 2023 22:52:00 +0400

qtbase-opensource-src (5.15.7+dfsg-3) unstable; urgency=medium

  * Backport upstream patch to fix deletion order in QImageReader/Writer
    destructors.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Jan 2023 15:43:32 +0400

qtbase-opensource-src (5.15.7+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:05 +0300

qtbase-opensource-src (5.15.7+dfsg-1) experimental; urgency=medium

  * New upstream release (5.15.7).
    - Refresh existing patches.
    - Update symbols from amd64 build logs.
  * Bump ABI version to qtbase-abi-5-15-7.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 01 Nov 2022 16:07:09 -0500

qtbase-opensource-src (5.15.6+dfsg-5) unstable; urgency=medium

  * Promote qtwayland5 from Suggests to Recommends (closes: #998698).
  * Make libqt5gui5 suggest qgnomeplatform-qt5 (closes: #1024976).
  * Backport upstream patch to fix Alt+` shortcut on non-US layouts.
  * Build-Depends: Drop versioned constraint on dpkg-dev, libharfbuzz-dev and
    pkg-kde-tools (thanks Debian Janitor).
  * Drop Breaks/Replaces unnecessary since buster (thanks Debian Janitor).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 03 Dec 2022 20:38:46 +0300

qtbase-opensource-src (5.15.6+dfsg-4) unstable; urgency=medium

  * Revert upstream commit which caused graphical glitches in some apps.
    Backport upstream patch to fix the original issue in a better way.
    Thanks to Alexander Kernozhitsky and Alexis Murzeau for the pointers!
    (closes: #1022748, #1023580)
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 24 Nov 2022 20:38:09 +0300

qtbase-opensource-src (5.15.6+dfsg-3) experimental; urgency=medium

  * Backport upstream patch to fix misplaced menus with Wayland on GNOME.
  * Backport upstream patch to use Wayland platform plugin on GNOME Wayland
    sessions by default (closes: #954781).
  * Update debian/libqt5core5a.symbols for ia64 and sparc64.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 24 Oct 2022 00:43:06 +0300

qtbase-opensource-src (5.15.6+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:41:52 +0300
