## qtbase-opensource-src 5.15.8+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.8+dfsg-11+deb12u3) bookworm; urgency=medium

  * Backport upstream patch to add null checks in table iface methods in
    linuxaccessibility/atspiadaptor.cpp (closes: #1081682).
  * Backport upstream patch to delay any communication until encrypted() can
    be responded to (CVE-2024-39936, closes: #1076293).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Mar 2025 14:24:29 +0300

qtbase-opensource-src (5.15.8+dfsg-11+deb12u2) bookworm; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * CVE-2024-25580 (Closes: #1064053)
    fix buffer overflow due to crafted KTX image file
  * CVE-2023-51714 (Closes: #1060694)
    fix incorrect HPack integer overflow check.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Apr 2024 20:48:02 +0200

qtbase-opensource-src (5.15.8+dfsg-11+deb12u1) bookworm; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patches to fix regression caused by CVE-2023-24607.diff
    (closes: #1055280).

  [ Dmitry Shachnev ]
  * Backport fixes for three CVEs from Debian unstable:
    - CVE-2023-34410: use of system CA certificates when not wanted
      (closes: #1037210).
    - CVE-2023-37369: potential buffer overflow in QXmlStreamReader.
    - CVE-2023-38197: infinite loop in XML recursive entity expansion
      (closes: #1041105).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 07 Apr 2024 12:45:51 +0300

qtbase-opensource-src (5.15.8+dfsg-11) unstable; urgency=medium

  * Rename the patches for consistency and add DEP-3 headers.
  * Add a patch to fix buffer overflow in QDnsLookup (CVE-2023-33285).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 May 2023 13:45:05 +0300

qtbase-opensource-src (5.15.8+dfsg-10) unstable; urgency=medium

  * Add patches to fix CVE-2023-32762 and CVE-2023-32763.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 May 2023 11:31:55 -0300

qtbase-opensource-src (5.15.8+dfsg-9) unstable; urgency=medium

  * Backport upstream patch to fix laggy drag-and-drop with KWin. See:
    - https://bugreports.qt.io/browse/QTBUG-98048
    - https://lists.debian.org/debian-kde/2022/11/msg00019.html

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 May 2023 12:19:31 +0300

qtbase-opensource-src (5.15.8+dfsg-8) unstable; urgency=medium

  * Add back Breaks/Replaces for libqtcore4 (closes: #1035790).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 May 2023 14:12:14 +0300
