=== debian/rules ===
--- 
+++ 
@@ -204,9 +204,6 @@
 	# more leftovers
 	rm -f .device.vars .qmake.vars
 
-	# yet more crap
-	rm -rf doc/q*
-
 override_dh_auto_build-indep:
 	dh_auto_build -- docs
 
@@ -245,3 +242,4 @@
 	sed -i "s,lib/qt5/bin,lib/$(DEB_HOST_MULTIARCH)/qt5/bin," \
 		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/Qt5Core.pc
 
+	# Remove leftover directories
