## qtbase-opensource-src 5.15.8.1

=== debian/changelog ===
qtbase-opensource-src (5.15.8.1-1+dde) unstable; urgency=medium

  * Add some error handling for the inotify file system watcher
    -- Add-some-error-handling-for-the-inotify-file-system-watcher.patch

 -- Zhang TingAn <zhangtingan@uniontech.com>  Sun, 08 Oct 2023 18:07:02 +0800
