## qtbase-opensource-src 5.15.10+dfsg

=== debian/changelog ===
qtbase-opensource-src (5.15.10+dfsg-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Drop the support for the dead GNU/kFreeBSD:
    - drop the patches gnukfreebsd.diff, and nonlinux_utime.diff, as they only
      apply changes to that OS
      - drop installed files added by them
    - drop the kfreebsd-any qualifiers from the firebird-dev, and libgbm-dev
      build dependencies
    - drop the kfreebsd-any qualifiers from binary packages
    - drop the kfreebsd-any qualifiers in install files
    - drop the kfreebsd qualifiers in symbols files
  * More changes to symbols files:
    - set a symbol as linux-any, as it is Linux-specific
    - drop mips, and powerpcspe qualifiers, as those architectures are long dead
  * Remove 2 obsolete maintscript entries in 2 files.

  [ Dmitry Shachnev ]
  * Backport upstream patches to make QXmlStreamReaderPrivate::fastScanName
    indicate parsing status to callers (CVE-2023-37369).
  * Backport upstream patch to make QXmlStreamReader raise error on unexpected
    tokens (CVE-2023-38197, closes: #1041105).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Jul 2023 23:01:32 +0300

qtbase-opensource-src (5.15.10+dfsg-2) unstable; urgency=medium

  * Merge 5.15.8+dfsg-13 upload from unstable.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 09:54:13 +0300

qtbase-opensource-src (5.15.10+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included in the new release:
    - fix_recursion_crash.diff
    - mysql_field_readonly.diff
    - revert_wm_state.diff
    - recreate_xcb_window.diff
  * Bump ABI version to qtbase-abi-5-15-10.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 09 Jun 2023 11:08:39 +0300

qtbase-opensource-src (5.15.9+dfsg-3) experimental; urgency=medium

  * Merge 5.15.8+dfsg-12 upload from unstable, bringing CVE fixes.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2023 10:46:52 +0300

qtbase-opensource-src (5.15.9+dfsg-2) experimental; urgency=medium

  * Bump years for 3rdparty copyright.
  * Backport upstream patch to stop using O_PATH in OpenFile portal
    (LP: #1876237).
  * Add a patch to fix capitalization error in auto-generated qdbusmacros.h
    include (LP: #2016703).
  * Make qtbase5-private-dev suggest packages providing includes which are
    used by some of its headers (closes: #1034830).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 May 2023 18:27:14 +0300

qtbase-opensource-src (5.15.9+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Drop CVE-2022-25255.diff, included in the new release.
  * Refresh other patches.
  * Bump ABI version to qtbase-abi-5-15-9.
  * Update debian/copyright using debian/scripts/update-copyright.
  * Fix use of transitional packages in Build-Depends and Depends:
    - libfontconfig1-dev => libfontconfig-dev
    - libfreetype6-dev => libfreetype-dev
  * Update a11y_root.diff to the version which was applied upstream.
  * Drop qt5-flatpak-platformtheme transitional package.
  * Drop Breaks/Replaces for pre-Bullseye versions.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Apr 2023 15:40:16 +0300

qtbase-opensource-src (5.15.8+dfsg-13) unstable; urgency=medium

  [ Alexander Volkov ]
  * Backport upstream patches to fix regression caused by CVE-2023-24607.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jul 2023 23:13:01 +0300

qtbase-opensource-src (5.15.8+dfsg-12) unstable; urgency=medium

  * Backport upstream patch to fix CVE-2023-34410 (closes: #1037210).
    - Note: this is the second patch related to that CVE; the first one
      is for Schannel code which is Windows-only, so we don't need it.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2023 10:37:43 +0300
