=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Build-Depends: debhelper-compat (= 13),
                default-libmysqlclient-dev,
                dh-exec,
-               firebird-dev [kfreebsd-any linux-any],
+               firebird-dev [linux-any],
                freetds-dev,
                libasound2-dev [linux-any],
                libatspi2.0-dev,
@@ -19,9 +19,9 @@
                libdbus-1-dev,
                libdouble-conversion-dev,
                libdrm-dev [linux-any],
-               libfontconfig1-dev,
-               libfreetype6-dev,
-               libgbm-dev [linux-any kfreebsd-any],
+               libfontconfig-dev,
+               libfreetype-dev,
+               libgbm-dev [linux-any],
                libgl-dev,
                libgles-dev,
                libglib2.0-dev,
@@ -85,12 +85,10 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Provides: qtbase-abi-5-15-8
+Provides: qtbase-abi-5-15-10
 Depends: shared-mime-info, ${misc:Depends}, ${shlibs:Depends}
 Recommends: qttranslations5-l10n
 Suggests: libthai0
-Breaks: libqtcore4 (<< 4:4.8.7+dfsg-20~)
-Replaces: libqtcore4 (<< 4:4.8.7+dfsg-20~)
 Description: Qt 5 core module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -123,18 +121,6 @@
  This package provides the GTK+ 3 platform theme, which makes Qt use
  native icon themes, fonts, and dialogs on GTK-based environments.
 
-Package: qt5-flatpak-platformtheme
-Architecture: any
-Multi-Arch: same
-Section: oldlibs
-Depends: qt5-xdgdesktopportal-platformtheme (= ${binary:Version}),
-         ${misc:Depends}
-Description: Qt 5 Flatpak platform theme (transitional package)
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This is a transitional package which can safely be removed.
-
 Package: qt5-xdgdesktopportal-platformtheme
 Architecture: any
 Multi-Arch: same
@@ -179,7 +165,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [kfreebsd-any linux-any]
+Recommends: libqt5sql5-sqlite | libqt5sql5-mysql | libqt5sql5-odbc | libqt5sql5-psql | libqt5sql5-tds | libqt5sql5-ibase [linux-any]
 Description: Qt 5 SQL module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -243,7 +229,7 @@
  MS SQL or Sybase SQL server.
 
 Package: libqt5sql5-ibase
-Architecture: kfreebsd-any linux-any
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -339,3 +325,17 @@
          libglu1-mesa-dev [!armel !armhf] | libglu-dev [!armel !armhf],
          libqt5concurrent5 (= ${binary:Version}),
          libqt5core5a (= ${binary:Version}),
+         libqt5dbus5 (= ${binary:Version}),
+         libqt5gui5 (= ${binary:Version}),
+         libqt5network5 (= ${binary:Version}),
+         libqt5printsupport5 (= ${binary:Version}),
+         libqt5sql5 (= ${binary:Version}),
+         libqt5test5 (= ${binary:Version}),
+         libqt5widgets5 (= ${binary:Version}),
+         libqt5xml5 (= ${binary:Version}),
+         libvulkan-dev [linux-any],
+         libxext-dev,
+         qt5-qmake (= ${binary:Version}),
+         qtbase5-dev-tools (= ${binary:Version}),
+         qtchooser,
+         ${misc:Depends}
